# Bazaar merge directive format 2 (Bazaar 0.90)
# revision_id: mbeck@miamod.de-20110317144638-d3f0oz9f422aqpw0
# target_branch: http://www.squid-cache.org/bzr/squid3/trunk/
# testament_sha1: 5814ea845f0ce9d5d696551b09a10d87e583541c
# timestamp: 2011-03-17 15:48:14 +0100
# base_revision_id: squidadm@squid-cache.org-20110317001257-\
#   w8jt9d6izh5pzcv2
# 
# Begin patch
=== modified file 'src/cf.data.pre'
--- src/cf.data.pre	2011-03-15 17:39:36 +0000
+++ src/cf.data.pre	2011-03-17 14:46:38 +0000
@@ -4393,6 +4393,24 @@
 	By default, headers are removed if denied.
 DOC_END
 
+NAME: reply_header_replace
+IFDEF: USE_HTTP_VIOLATIONS
+TYPE: http_header_replace[]
+LOC: Config.reply_header_access
+DEFAULT: none
+DOC_START
+        Usage:   reply_header_replace header_name message
+        Example: reply_header_replace Server Foo/1.0
+
+        This option allows you to change the contents of headers
+        denied with reply_header_access above, by replacing them
+        with some fixed string.
+
+        This only applies to reply headers, not request headers.
+
+        By default, headers are removed if denied.
+DOC_END
+
 NAME: relaxed_header_parser
 COMMENT: on|off|warn
 TYPE: tristate

# Begin bundle
IyBCYXphYXIgcmV2aXNpb24gYnVuZGxlIHY0CiMKQlpoOTFBWSZTWUoY53AAAcLfgAQQUef//39n
3yq////wUAR1mu2p7ve47167d3WODIimKeExNT0anqabUB6QB6gD1A9GoyAEpJPIxJtSe0Seo0yM
RoGg0AANAeoAlBAhlJqe0nlTaCabSaAZAAaNNNA0BJImU9TCZNKfqntJqA2p7VPU9T1M0aINND1D
EAJJJMm1MaKeoZGnqADQNAeoyaAADSRE2pyimvYG6WEZV9ijj+NM70aKSVWCtc0rpVdOHQ8CEF3A
ssxBDSalu0yUDzgQIjbhqa4Ext4GCNtMWqdaIf1eScO2cutjHGDwo+rDrJzizwlUwW0qUt2XGVZp
aNnLuxj+Wiuvy+fLev73dhPhWHQiMbzIE8VUi2NmOFR9SMJz0pMJiv0C4JqXX52RmfYi0SgPdGuw
RHYsLdCG9kMDRIul26QeGtIYnAITSLiDUkb6k3OUliTNuQnRoKKnb5Ar2JCMRy6nqSx2V3VytsOE
RNbJkzCxz3dxhIytLjyciYz8lEFhjKoiPi5MospHNuDEWoLw8TAxIarxtWgQi86ErSvExlSopmJL
RdHAXMSZIoGKUIwS7ZeHDxthyZmUqcT0uHzrvtISDC0qSBfiDETNOO24VwdXdNRXESqlihZKjjBr
v0xRUiOMiOVaZQgopRJDlBZUg1BGYzeRrLYZlSSMnfA2VRcGJGeOHFFLGEejgUDOK/lzZrWuSEs+
S9eNQvHkAhUb1gwuDE/8pHRNbzPtYNWw9O58XEUVkRNZ5dFF1M0z4CCnjt0lX3nDfevqPv0fgHxB
gd1y4Wa/my49lcC6WvdVPRC19Mzbb0RbZHS6v3nqVZlMYmabIm5IDImRuZI7rBykQcRjr0DrRamh
BC41QEAxPqTkqc8dN27SLpxRUC41Qn1Ga1xkKy0Mp1F5KGOG6FGGYyHer5OXiRg9ykc59RR2NZZV
KvBrzXHJPjUyiMDEYN9ks2UVx8ipfNZYp+YnA+q3MlXua1C8wyr4z0mjXwuuclyh1KOOJCaT29Sz
N0lHZWpA2bfCt1IhVBMD2GvkStls0mF10KHvGxKtyQOfmmcBsYG0B0UKcuNaZIQAj5Y5TQ8c4M4p
BbSHQ+NG/UGOKa2RlHd1WKky/U2Ur4l6dnBvWQcqPcVMhgm4EH2KYqzpNZeD0MnG9IS2F9ERF6BN
PN+alyS6VsyW0bQGIrojp5DQYzfMpM4Dp5Bwg5QiJmG1CmZX8BNXRlO2dVgsKZ4k4H4tJ2omyc0S
y7RdkJqIZ4EYBA9EGHSHcuMoyHdByiwmXk5PQRyJeLHpjJIvw980W/MkPKAyqoNL1PDth0VbHOJ0
s5ZZrKMmC+J0HJNg1K0940pnFudqlFPakzmSIhbRBoFK8tjxOQ4yMHg1e11jJ9Iecp0X64orWCCH
rUipFWTfmLDjI+OCNAVY9Sjb2tSpcAsE3MeVP1zUFtZEcJrnbTxS/ycDyO/ujJRn04EtQxhGw5kX
sXhFLmbNUnzsl7OX3Hk4wOV436Z5cycjBEXZyBiBkKYrXfabieOO2BclbPFjQWQwAz89khwkRS/4
u5IpwoSCUMc7gA==

